package example.entity;

import javax.persistence.*;
import java.util.LinkedList;
import java.util.List;

@Entity
@Table(name = "foo")
public class Foo {

	private String id;
	private String name;
	private List<Bar> bars = new LinkedList<Bar>();

	@Id
	@Column(columnDefinition = " char(5)")
    public String getId() { return id; }
	public void setId(String id) { this.id = id; }

	public String getName() { return name; }
	public void setName(String name) { this.name = name; }

	@ManyToMany
	@JoinTable(name="foo_bar",
		        joinColumns=@JoinColumn(name="foo_id"),
		        inverseJoinColumns=@JoinColumn(name="bar_id"))
	public List<Bar> getBars() { return bars; }
	public void setBars(List<Bar> bars) { this.bars = bars; }
}
