package example.servlet;


import example.entity.Bar;
import example.entity.Foo;

import javax.ejb.Local;
import java.util.List;

@Local
public interface FoobarLocal {
	public void createFoo(String id, String name);
	public void createBar(String name);
	public void deleteFoo(String id);
	public void deleteBar(int id);
	public List<Foo> findAllFoos();
	public List<Bar> findAllBars();
	public void add(String fooId, int barId);
	public void remove(String fooId, int barId);
	public void removeAllFoos(int barId);
	public void addAllFoos(int barId);
	public void flummox(int barId);
}
